%define version 2.30.0
%define release %mkrel 4

%define gtkmm_version 2.8.0
%define libgnome_version 2.6.0

%define major 1

%define pkgname libgnomemm
%define api_version 2.6
%define libname_orig	%mklibname gnomemm %api_version
%define libname		%mklibname gnomemm %api_version %{major}
%define develname %mklibname -d gnomemm %api_version

Summary: 	A C++ wrapper for libgnome
Name: 		%{pkgname}%{api_version}
Version: 	%{version}
Release: 	%{release}
License: 	LGPLv2+
Group: 		System/Libraries
URL: 		http://gtkmm.sourceforge.net/
Source: 	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRequires:	gtkmm2.4-devel >= %{gtkmm_version}
BuildRequires:	libgnome2-devel >= %{libgnome_version}
Buildrequires:	doxygen

%description
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n %{libname}
The %{pkgname} library provides a C++ wrapper for libgnome library.
It is a subpackage of the gnomemm project, which provides C++ binding
of various GNOME libraries.


%package -n %{develname}
Summary:	Development files for libgnome C++ wrapper
Group: 		Development/GNOME and GTK+
Provides:	%name-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	gtkmm2.4-devel >= %{gtkmm_version}
Requires:	libgnome2-devel >= %{libgnome_version}
Obsoletes: %mklibname -d gnomemm %api_version %{major}

%description -n %develname
This package contains all necessary files, including libraries and headers,
that C++ programmers will need to develop applications which use %{pkgname},
the C++ interface to libgnome library.

It is necessary when compiling applications which use %{pkgname} as well.

%prep
%setup -q -n %{pkgname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
find %buildroot -name *.la|xargs rm

%clean
rm -rf %{buildroot}


%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_libdir}/libgnomemm-%{api_version}.so.%{major}*

%files -n %develname
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS docs/reference/html
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{pkgname}-%{api_version}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.30.0-4.mga3
+ Revision: 357272
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 04 2011 fwang <fwang> 2.30.0-3.mga2
+ Revision: 131773
- do not ship .la files

* Thu Feb 03 2011 dmorgan <dmorgan> 2.30.0-2.mga1
+ Revision: 46605
- Remove mdv macros
- imported package libgnomemm2.6

